package com.sinosig.web.module.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import com.sinosig.web.module.service.SYXXXService;
import com.sinosig.web.module.domain.SYXXX;
import com.sinosig.web.module.filter.*;

@RestController
@RequestMapping(value = "")
public class SYXXXController {
	@Autowired
    SYXXXService syxxxservice;




    public ResponseEntity<SYXXX> createTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> updateTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> getDraftTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }

    public ResponseEntity<SYXXX> createByCID(@PathVariable("cid_id") String cid_id, @RequestBody SYXXX syxxx) {
        return null;
    }

    public ResponseEntity<SYXXX> getByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id) {
        return null;
    }


    public ResponseEntity<SYXXX> removeTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> createTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }

    public ResponseEntity<Boolean> removeByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id) {
        return null;
    }

    public ResponseEntity<SYXXX> updateByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> updateTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> getTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }

    public ResponseEntity<SYXXX> getDraftByCID() {
        return null;
    }

    public ResponseEntity<Boolean> checkKeyByCID(@PathVariable("cid_id") String cid_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> removeTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> getDraftTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> getTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }


    public ResponseEntity<SYXXX> saveByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxxx_id") String syxxx_id, @RequestBody SYXXX syxxx) {
        return null;
    }

	public ResponseEntity<List<SYXXX>> fetchDefaultByCID() {
        return null;
    }


}
